=== debian/changelog ===
xblast-tnt (2.10.4-5) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Maintain package in Debian Games team
    Closes: #1088005
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * watch file standard 4 (routine-update)
  * Secure URI in watch file
  * Recommends: xfonts-75dpi | xfonts-100dpi (LP: 1360490)
  * Provide desktop files instead of Debian menu file
    Closes: #738055

  [ Bjarnig Ingi Gislason
  * Some fixes in manpage (LP: #1075254)

  [ наб ]
  * Try harder to make xbsndsrv.pid. Don't segfault if can't make xbsndsrv.pid
    Closes: #716488

 -- Andreas Tille <tille@debian.org>  Sat, 08 Feb 2025 07:22:46 +0100

xblast-tnt (2.10.4-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC-10. (Closes: #957971)
    - Thanks to Luis Paulo Linares.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 07 Jan 2021 21:50:26 +0000

xblast-tnt (2.10.4-4) unstable; urgency=medium

  * Update my name/email address.
  * Switch to source format 3.0 (quilt).
  * Bump Standards-Version to 3.9.6.
  * Get rid of the ancient transitional xblast and xblast-tnt-mini packages.
  * Change to dh style debian/rules file.
  * Add Homepage URL.
  * Fix debian/watch URL.
  * Add copyright statement to debian/copyright.
  * Add patch to fix manpage name (and my name).
  * Use dh-autoreconf to update config.{guess,sub}.
  * Get rid of ancient Conflicts/Replaces + Provides.
  * Point directly to GPL-2 instead of GPL symlink in copyright file.

 -- Rhonda D'Vine <rhonda@debian.org>  Wed, 13 Jan 2016 12:25:26 +0100

xblast-tnt (2.10.4-3) unstable; urgency=low

  * debian/menu: Adapt to new menu policy: s/Arcade/Action/.
  * Add dummy xblast package for transitioning to xblast-tnt, and removed
    README.Debian because of that.
  * Make the dummy packages Arch: all.
  * Updated config.{guess,sub}.

 -- Gerfried Fuchs <rhonda@debian.at>  Wed, 11 Jul 2007 13:28:27 +0200

xblast-tnt (2.10.4-2) unstable; urgency=medium

  * Made the Conflicts/Replaces to xblast-tnt-mini versioned so that the dummy
    package can be installed, and adapted its package description accordingly
    (closes: #377849)
  * Added versioned depends in xblast-tnt-mini so partial upgrades won't
    happen.

 -- Gerfried Fuchs <alfie@debian.org>  Wed, 12 Jul 2006 03:29:18 -0500

xblast-tnt (2.10.4-1) unstable; urgency=low

  * New upstream release.
  * Get rid of the additional xblast-tnt-mini package, and add an SMPF binary,
    too (closes: #366537)
  * Run autogen.sh.

 -- Gerfried Fuchs <alfie@debian.org>  Mon, 19 Jun 2006 07:26:56 -0500

xblast-tnt (2.10.2-5) unstable; urgency=low

  * Applied patch from Samuel Thibault to make build work for GNU/Hurd.
    This is the same one like in #361730 for the xblast package.
  * Bumped standards version to 3.7.2.
  * Updated FSF address in debian/copyright.
  * Fixed glitch in manpage.
  * Installed menu file into /usr/share/menu instead of /usr/lib/menu.

 -- Gerfried Fuchs <alfie@debian.org>  Sat, 20 May 2006 22:10:54 -0500

xblast-tnt (2.10.2-4) unstable; urgency=low

  * Fixed watch file with version 3.
  * Bumped Standards-Version, no changes needed.
  * Applied patch from Aurelien Jarno for fixing (k)FreeBSD support.
    (closes: #336893)

 -- Gerfried Fuchs <alfie@debian.org>  Fri, 02 Dec 2005 11:08:47 +0100

xblast-tnt (2.10.2-3) unstable; urgency=high

  * The "Happy Birthday, NForcer!" release
  * Uups, let the binary packages depend on their shlibs. This is the reason
    for the urgency, the binaries had no shlib dependencies at all....
  * Changed Build-Depends from xlibs-dev to only libxt-dev.
  * Added md5sums files.
  * Added overrides files for lintian, the menu icons are in the
    xblast-tnt-images package which we Depend on.
  * Ship features.html in documentation (closes: #306109)

 -- Gerfried Fuchs <alfie@debian.org>  Tue, 03 May 2005 10:56:00 +0200

xblast-tnt (2.10.2-2) unstable; urgency=high

  * Fix for rename player segfault from upstream CVS applied (closes: #306337)

 -- Gerfried Fuchs <alfie@debian.org>  Wed, 27 Apr 2005 23:44:16 +0200

xblast-tnt (2.10.2-1) unstable; urgency=medium

  * New upstream release. This is a major bugfix release and should go into
    sarge.

 -- Gerfried Fuchs <alfie@debian.org>  Mon, 18 Apr 2005 14:59:30 +0200

xblast-tnt (2.10.0-1) unstable; urgency=low

  * New upstream release, including fixes for the following bugs:
    - program crashs (closes: #276552)
    - Crash when searching for online games (closes: #274941)
    - ftbfs [sparc] /usr/bin/ld: cannot find -lsocket (closes: #287605)
  * Updated description in control file, added Suggests for xblast-tnt-musics
    (which is in NEW currently, though).
  * Activated watch file, though being upstream release manager eliminates
    most of its purpose.  :)

 -- Gerfried Fuchs <alfie@debian.org>  Tue, 25 Jan 2005 21:01:37 +0100

xblast-tnt (2.9.22-1) unstable; urgency=low

  * Initial Release (closes: #254606)

 -- Gerfried Fuchs <alfie@debian.org>  Fri, 20 Aug 2004 18:40:32 +0200
