=== debian/control ===
Source: xblast-tnt
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Rhonda D'Vine <rhonda@debian.org>
Build-Depends: debhelper-compat (= 13),  libxt-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/games-team/xblast-tnt
Vcs-Git: https://salsa.debian.org/games-team/xblast-tnt.git
Homepage: https://xblast.sourceforge.net/
Rules-Requires-Root: no

Package: xblast-tnt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xblast-tnt-images, xblast-tnt-models
Recommends: xblast-tnt-levels,
            xfonts-75dpi | xfonts-100dpi
Suggests: xblast-tnt-sounds, xblast-tnt-musics
Description: multiplayer blast-the-others game inspired by Dynablaster
 XBlast is a multi-player arcade game inspired by the video/computer game
 Bomberman (Dynablaster).
 .
 Features:
   - 2 to 6 players
   - 1 or 2 players per X-Server (or up to 6 with joysticks)
   - about 1000 levels
   - about 20 player models
   - PoV-Ray rendered color graphics
   - central server support with statistics
 .
 If you want to host games you need to install the xblast-tnt-levels package,
 and you might want to install xblast-tnt-sounds for sound support. The
 xblast-tnt-musics package contains background musics for the game, if you
 like.
