=== debian/watch ===
version=4
https://sf.net/xblast/xblast-([\d.]+)\.tar\.gz  debian  uupdate
# Site/Directory/Pattern                       Version  Script
